package org.springblade.useranalysis.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import lombok.Data;
import org.springblade.useranalysis.dto.param.ExcelExportParam;

/**
 * @author william
 *
 */
@Data
@TableName("ads_userprofile_excel_log")
public class UserProfileExcelLog {

	@TableId(type = IdType.ASSIGN_ID)
	@JsonSerialize(using=ToStringSerializer.class)
	private Long id;

	private String fileName;
	
	@JsonIgnore
	private String filePath;

	private Integer status;

	private Long sysUserId;

	private String sysUserName;

	private String groupId;
	
	private String groupName;
	
	private String remark;
	
	private Integer count;

	private Date createTime;

	//审批状态
	private Integer approveStatus;

	//导出参数
	private String params;
}
